package java.awt.event;

import java.awt.AWTEvent;
import java.util.EventListenerProxy;

public class AWTEventListenerProxy extends EventListenerProxy<AWTEventListener> implements AWTEventListener
{
    private final long eventMask;
    
    public AWTEventListenerProxy(long eventMask, AWTEventListener listener) {
        super(listener);
        this.eventMask = eventMask;
    }
    
    @Override
    public void eventDispatched(AWTEvent awtEvent) {
        ((AWTEventListener)this.getListener()).eventDispatched(awtEvent);
    }
    
    public long getEventMask() {
        return this.eventMask;
    }
}
